#include "__whilerow.h"
#include "Exception.h"
#include "__mysql.h"
#include <iostream>

namespace jet {

   __whilerow::__whilerow(coreutils::ZString &in, coreutils::MString &parent, Global &global) : Tag(in, parent, global) {
      
      int count = variables["count"].asInteger(); 
      
      while  ((count != 0) && global.getSession(variables["sessionid"])->hasRow()) {	
	 processContainer(container);
	 container.reset();
	 global.getSession(variables["sessionid"])->nextRow();
	 --count;
      }
      
   }
   
}
